Search Opportunities based on combinations of advanced filters. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-424216/7bf11bc9b94f80f

http
POST https://services.leadconnectorhq.com/opportunities/search

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesi2SpAtBVHSVea1sL6oahAccount Id
querystringYes
limitnumberYes
pagenumberYes
searchAfterstring[]Yes
  • additionalDetails (object, required)

    • notes (boolean, required)

    • tasks (boolean, required)

    • calendarEvents (boolean, required)

    • unReadConversations (boolean, required)

Responses

200 - Successful response
  • opportunities (object[])

    • id (string): Example: yWQobCRIhRguQtD2llvk

    • name (string): Example: testing

    • monetaryValue (number): Example: 500

    • pipelineId (string): Example: VDm7RPYC2GLUvdpKmBfC

    • pipelineStageId (string): Example: e93ba61a-53b3-45e7-985a-c7732dbcdb69

    • assignedTo (string): Example: zT46WSCPbudrq4zhWMk6

    • status (string): Example: open

    • source (string)

    • lastStatusChangeAt (string): Example: 2021-08-03T04:55:17.355Z

    • lastStageChangeAt (string): Example: 2021-08-03T04:55:17.355Z

    • lastActionDate (string): Example: 2021-08-03T04:55:17.355Z

    • indexVersion (string): Example: 1

    • createdAt (string): Example: 2021-08-03T04:55:17.355Z

    • updatedAt (string): Example: 2021-08-03T04:55:17.355Z

    • contactId (string): Example: zT46WSCPbudrq4zhWMk6

    • locationId (string): Example: zT46WSCPbudrq4zhW

    • contact (object)

      • id (string): Example: byMEV0NQinDhq8ZfiOi2

      • name (string): Example: John Deo

      • companyName (string): Example: Tesla Inc

      • email (string): Example: john@deo.com

      • phone (string): Example: +1202-555-0107

      • tags (string[])

    • notes (array[])

    • tasks (array[])

    • calendarEvents (array[])

    • lostReasonId (string): Example: zT46WSCPbudrq4zhWMk6

    • customFields (object[])

      • id (string, required): Example: MgobCB14YMVKuE4Ka8p1

      • fieldValue (object, required): The value of the custom field

    • followers (array[])

    • externalObjectId (string)

  • total (number, required): Example: 100

  • aggregations (object)

json
{
  "opportunities": [
    {
      "id": "yWQobCRIhRguQtD2llvk",
      "name": "testing",
      "monetaryValue": 500,
      "pipelineId": "VDm7RPYC2GLUvdpKmBfC",
      "pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
      "assignedTo": "zT46WSCPbudrq4zhWMk6",
      "status": "open",
      "source": "",
      "lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
      "lastStageChangeAt": "2021-08-03T04:55:17.355Z",
      "lastActionDate": "2021-08-03T04:55:17.355Z",
      "indexVersion": 1,
      "createdAt": "2021-08-03T04:55:17.355Z",
      "updatedAt": "2021-08-03T04:55:17.355Z",
      "contactId": "zT46WSCPbudrq4zhWMk6",
      "locationId": "zT46WSCPbudrq4zhW",
      "contact": {
        "id": "byMEV0NQinDhq8ZfiOi2",
        "name": "John Deo",
        "companyName": "Tesla Inc",
        "email": "john@deo.com",
        "phone": "+1202-555-0107",
        "tags": []
      },
      "notes": [
        []
      ],
      "tasks": [
        []
      ],
      "calendarEvents": [
        []
      ],
      "lostReasonId": "zT46WSCPbudrq4zhWMk6",
      "customFields": [
        {}
  // truncado: 10 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/opportunities/search' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "i2SpAtBVHSVea1sL6oah",
  "query": "string",
  "limit": 0,
  "page": 0,
  "searchAfter": [
    "string"
  ],
  "additionalDetails": {
    "notes": true,
    "tasks": true,
    "calendarEvents": true,
    "unReadConversations": true
  }
}'

Last updated October 26, 2026

Was this page helpful?